Package org.apache.qpid.proton.amqp.transport

# Class Begin

java.lang.Object
org.apache.qpid.proton.amqp.transport.Begin

All Implemented Interfaces:
  `FrameBody`

public final class Begin extends Object implements FrameBody

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.qpid.proton.amqp.transport.FrameBody

`FrameBody.FrameBodyHandler<E>`

## Constructor Summary

Constructors
Constructor
Description
`Begin()`
`Begin(Begin other)`

## Method Summary

Modifier and Type
Method
Description
`Begin`
`copy()`
`Symbol[]`
`getDesiredCapabilities()`
`UnsignedInteger`
`getHandleMax()`
`UnsignedInteger`
`getIncomingWindow()`
`UnsignedInteger`
`getNextOutgoingId()`
`Symbol[]`
`getOfferedCapabilities()`
`UnsignedInteger`
`getOutgoingWindow()`
`Map`
`getProperties()`
`UnsignedShort`
`getRemoteChannel()`
`<E> void`
`invoke(FrameBody.FrameBodyHandler<E> handler, Binary payload, E context)`
`void`
`setDesiredCapabilities(Symbol... desiredCapabilities)`
`void`
`setHandleMax(UnsignedInteger handleMax)`
`void`
`setIncomingWindow(UnsignedInteger incomingWindow)`
`void`
`setNextOutgoingId(UnsignedInteger nextOutgoingId)`
`void`
`setOfferedCapabilities(Symbol... offeredCapabilities)`
`void`
`setOutgoingWindow(UnsignedInteger outgoingWindow)`
`void`
`setProperties(Map properties)`
`void`
`setRemoteChannel(UnsignedShort remoteChannel)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Begin

public Begin()

### Begin

public Begin(Begin other)

## Method Details

### getRemoteChannel

public UnsignedShort getRemoteChannel()

### setRemoteChannel

public void setRemoteChannel(UnsignedShort remoteChannel)

### getNextOutgoingId

public UnsignedInteger getNextOutgoingId()

### setNextOutgoingId

public void setNextOutgoingId(UnsignedInteger nextOutgoingId)

### getIncomingWindow

public UnsignedInteger getIncomingWindow()

### setIncomingWindow

public void setIncomingWindow(UnsignedInteger incomingWindow)

### getOutgoingWindow

public UnsignedInteger getOutgoingWindow()

### setOutgoingWindow

public void setOutgoingWindow(UnsignedInteger outgoingWindow)

### getHandleMax

public UnsignedInteger getHandleMax()

### setHandleMax

public void setHandleMax(UnsignedInteger handleMax)

### getOfferedCapabilities

public Symbol[] getOfferedCapabilities()

### setOfferedCapabilities

public void setOfferedCapabilities(Symbol... offeredCapabilities)

### getDesiredCapabilities

public Symbol[] getDesiredCapabilities()

### setDesiredCapabilities

public void setDesiredCapabilities(Symbol... desiredCapabilities)

### getProperties

public Map getProperties()

### setProperties

public void setProperties(Map properties)

### invoke

public <E> void invoke(FrameBody.FrameBodyHandler<E> handler, Binary payload, E context)

Specified by:
  `invoke` in interface `FrameBody`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### copy

public Begin copy()

Specified by:
  `copy` in interface `FrameBody`
Returns:
  a deep copy of this FrameBody.